UserGroup (Resource Management Library 2.0.0-2.17.1 API)
Date: 2014-01-09

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.gcube.resourcemanagement.support.shared.types
Enum UserGroup

    java.lang.Object
      java.lang.Enum<UserGroup>
          org.gcube.resourcemanagement.support.shared.types.UserGroup

All Implemented Interfaces:
  com.google.gwt.user.client.rpc.IsSerializable, Serializable, Comparable<UserGroup>

    public enum UserGroup

extends Enum<UserGroup>
implements Serializable, com.google.gwt.user.client.rpc.IsSerializable

Author:
  Daniele Strollo (ISTI-CNR)

Enum Constant Summary
`ADMIN`
`DEBUG`
`SUPERUSER`
`USER`

Method Summary
`static UserGroup` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static UserGroup[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### SUPERUSER

    public static final UserGroup SUPERUSER

### ADMIN

    public static final UserGroup ADMIN

### USER

    public static final UserGroup USER

### DEBUG

    public static final UserGroup DEBUG

Method Detail

### values

    public static UserGroup[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (UserGroup c : UserGroup.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static UserGroup valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2014. All Rights Reserved.